net.sf.jasperreports.engine.type

## Enum EvaluationTimeEnum

- java.lang.Object
- - java.lang.Enum<EvaluationTimeEnum>
  - - net.sf.jasperreports.engine.type.EvaluationTimeEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EvaluationTimeEnum>, JREnum, NamedEnum

      public enum EvaluationTimeEnum
      extends java.lang.Enum<EvaluationTimeEnum>
      implements JREnum

  Version:
    $Id: EvaluationTimeEnum.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTO` Evaluation time indicating that each variable participating in the expression should be evaluated at a time decided by the engine.
    `BAND` The element will be evaluated at band end.
    `COLUMN` A constant specifying that an expression should be evaluated after each column is filled.
    `GROUP` A constant specifying that an expression should be evaluated after each group break.
    `NOW` A constant specifying that an expression should be evaluated at the exact moment in the filling process when it is encountered.
    `PAGE` A constant specifying that an expression should be evaluated after each page is filled.
    `REPORT` A constant specifying that an expression should be evaluated at the end of the filling process.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EvaluationTimeEnum` | `getByName(java.lang.String name)`
    `static EvaluationTimeEnum` | `getByValue(byte value)`
    `static EvaluationTimeEnum` | `getByValue(java.lang.Byte value)`
    `java.lang.String` | `getName()`
    `byte` | `getValue()`
    `java.lang.Byte` | `getValueByte()`
    `static EvaluationTimeEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EvaluationTimeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOW

          public static final EvaluationTimeEnum NOW

      A constant specifying that an expression should be evaluated at the exact moment in the filling process when it is encountered.

    - #### REPORT

          public static final EvaluationTimeEnum REPORT

      A constant specifying that an expression should be evaluated at the end of the filling process.

    - #### PAGE

          public static final EvaluationTimeEnum PAGE

      A constant specifying that an expression should be evaluated after each page is filled.

    - #### COLUMN

          public static final EvaluationTimeEnum COLUMN

      A constant specifying that an expression should be evaluated after each column is filled.

    - #### GROUP

          public static final EvaluationTimeEnum GROUP

      A constant specifying that an expression should be evaluated after each group break.

    - #### BAND

          public static final EvaluationTimeEnum BAND

      The element will be evaluated at band end.

    - #### AUTO

          public static final EvaluationTimeEnum AUTO

      Evaluation time indicating that each variable participating in the expression should be evaluated at a time decided by the engine.

      Variables will be evaluated at a time corresponding to their reset type. Fields are evaluated "now", i.e. at the time the band the element lies on gets filled.

      This evaluation type should be used when report elements having expressions that combine values evaluated at different times are required (e.g. percentage out of a total).

      NB: avoid using this evaluation type when other types suffice as it can lead to performance loss.

  - ### Method Detail

    - #### values

          public static EvaluationTimeEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EvaluationTimeEnum c : EvaluationTimeEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EvaluationTimeEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueByte

          public java.lang.Byte getValueByte()

      Specified by:
        `getValueByte` in interface `JREnum`

    - #### getValue

          public final byte getValue()

      Specified by:
        `getValue` in interface `JREnum`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getByName

          public static EvaluationTimeEnum getByName(java.lang.String name)

    - #### getByValue

          public static EvaluationTimeEnum getByValue(java.lang.Byte value)

    - #### getByValue

          public static EvaluationTimeEnum getByValue(byte value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com